
IF(DEFINED NLIB_IMPORT_NX_SUCCINCT)
  RETURN()
ENDIF()

INCLUDE("${CMAKE_CURRENT_LIST_DIR}/import.nx_misc.cmake")

#
# nx_succinct
#
IF(NOT TARGET nx_succinct)
  ADD_LIBRARY(nx_succinct ${NLIB_LIBTYPE} IMPORTED)
  SET_PROPERTY(TARGET nx_succinct PROPERTY IMPORTED_LOCATION "${NLIB_DIR}/${NLIB_PREFIX}nx_succinct${NLIB_POSTFIX}${NLIB_SUFFIX}")
  SET_PROPERTY(TARGET nx_succinct PROPERTY IMPORTED_LOCATION_RELEASE "${NLIB_DIR}/${NLIB_PREFIX}nx_succinct${CMAKE_RELEASE_POSTFIX}${NLIB_SUFFIX}")
  SET_PROPERTY(TARGET nx_succinct PROPERTY IMPORTED_LOCATION_DEBUG "${NLIB_DIR}/${NLIB_PREFIX}nx_succinct${CMAKE_DEBUG_POSTFIX}${NLIB_SUFFIX}")
  SET_PROPERTY(TARGET nx_succinct PROPERTY IMPORTED_IMPLIB "${NLIB_DIR}/${CMAKE_IMPORT_LIBRARY_PREFIX}nx_succinct${NLIB_POSTFIX}${CMAKE_IMPORT_LIBRARY_SUFFIX}")
  SET_PROPERTY(TARGET nx_succinct PROPERTY IMPORTED_IMPLIB_RELEASE "${NLIB_DIR}/${CMAKE_IMPORT_LIBRARY_PREFIX}nx_succinct${CMAKE_RELEASE_POSTFIX}${CMAKE_IMPORT_LIBRARY_SUFFIX}")
  SET_PROPERTY(TARGET nx_succinct PROPERTY IMPORTED_IMPLIB_DEBUG "${NLIB_DIR}/${CMAKE_IMPORT_LIBRARY_PREFIX}nx_succinct${CMAKE_DEBUG_POSTFIX}${CMAKE_IMPORT_LIBRARY_SUFFIX}")
  SET_PROPERTY(TARGET nx_succinct APPEND PROPERTY INTERFACE_INCLUDE_DIRECTORIES "${NLIB_RELEASE_ROOT}/include")
ENDIF()
SET_PROPERTY(TARGET nx_succinct APPEND PROPERTY INTERFACE_LINK_LIBRARIES nx_misc)

SET(NLIB_IMPORT_NX_SUCCINCT TRUE)

