
IF(ZLIB_FOUND)
add_sample(oss binarypatch nx_oss_bsdiff nx_misc ${ZLIB_LIBRARIES})
ENDIF()
add_sample(oss readsqldb nx_oss_sqlite3 nx_misc)
add_sample(oss speedtest1 nx_oss_sqlite3 nx_misc)

ADD_CUSTOM_COMMAND(
	OUTPUT ${CMAKE_BINARY_DIR}/sample.db
	COMMAND cmake
	ARGS -E copy_if_different ${NLIB_PKGROOT_DIR}/samples/sources/oss/resource/sample.db sample.db
	DEPENDS ${NLIB_PKGROOT_DIR}/samples/sources/oss/resource/sample.db
)

ADD_CUSTOM_TARGET(copy_sample_db ALL DEPENDS ${CMAKE_BINARY_DIR}/sample.db)

IF(CTR)
	nlib_cygwin_getwinpath(${NLIB_PKGROOT_DIR}/samples/sources/oss/resource respath)
	FILE(WRITE ${CMAKE_BINARY_DIR}/CMakeFiles/oss_readsqldb.dir/readsqldb.rsf
		"BasicInfo:\n"
		"  BackupMemoryType: None\n"
		"  Title: readsqldb\n"
		"Rom:\n"
		"  HostRoot: ${respath}\n"
		"CardInfo:\n"
		"  CardDevice: None\n"
		"TitleInfo:\n"
		"  UniqueId: 0xff3f\n"
		"AccessControlInfo:\n"
		"  FileSystemAccess:\n"
		"    - Debug\n"
		"    - DirectSdmc\n"
	)
	SET_PROPERTY(TARGET oss_readsqldb PROPERTY
		CTR_SPEC_RSF "${CMAKE_BINARY_DIR}/CMakeFiles/oss_readsqldb.dir/readsqldb.rsf")
	SET_PROPERTY(TARGET oss_readsqldb APPEND PROPERTY
		COMPILE_DEFINITIONS "NLIB_CTR_SAMPLE_USEFILE")
	generate_ctr_makeromopt(oss_readsqldb)

	nlib_cygwin_getwinpath(${NLIB_PKGROOT_DIR}/samples/sources/oss/resource respath)
	FILE(WRITE ${CMAKE_BINARY_DIR}/CMakeFiles/oss_speedtest1.dir/speedtest1.rsf
		"BasicInfo:\n"
		"  BackupMemoryType: None\n"
		"  Title: speedtest1\n"
		"Rom:\n"
		"  HostRoot: ${respath}\n"
		"CardInfo:\n"
		"  CardDevice: None\n"
		"TitleInfo:\n"
		"  UniqueId: 0xff3f\n"
		"AccessControlInfo:\n"
		"  FileSystemAccess:\n"
		"    - Debug\n"
		"    - DirectSdmc\n"
	)
	SET_PROPERTY(TARGET oss_speedtest1 PROPERTY
		CTR_SPEC_RSF "${CMAKE_BINARY_DIR}/CMakeFiles/oss_speedtest1.dir/speedtest1.rsf")
	SET_PROPERTY(TARGET oss_speedtest1 APPEND PROPERTY
		COMPILE_DEFINITIONS "NLIB_CTR_SAMPLE_USEFILE")
	generate_ctr_makeromopt(oss_speedtest1)
ENDIF()

add_sample(oss sqlfromc nx_oss_sqlite3 nx_misc)
